<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 18</a>

    <script>

        const superSeq = (X, Y , m , n) => {
    
            if (m == 0) {
                return n;
            }

            if (n == 0) {
                return m;
            }
 
            if (X.charAt(m - 1) == Y.charAt(n - 1)) {
                return 1 + superSeq(X, Y, m - 1, n - 1);
            }
 
            return 1 + Math.min(superSeq(X, Y, m - 1, n), superSeq(X, Y, m, n - 1));
        }
 
        var X = "7,5,9,0,2,1,3,5,7,9,1,1,5,8,8,9,7";
        var Y = "1,5,9";
        console.log(`La supersecuencia más corta es:  ${superSeq(X, Y, X.length, Y.length)}`);


    </script>
    
</body>
</html>